MultiStepSwaption Class Reference

`#include <ql/models/marketmodels/products/multistep/multistepswaption.hpp>`

Inheritance diagram for MultiStepSwaption:
[legend]

## Public Member Functions

| MultiStepSwaption (const std::vector< Time > &rateTimes, Size startIndex, Size endIndex, ext::shared_ptr< StrikedTypePayoff > &)
Public Member Functions inherited from MultiProductMultiStep
| MultiProductMultiStep (const std::vector< Time > &rateTimes)
std::vector< Size > | suggestedNumeraires () const
const EvolutionDescription & | evolution () const

## MarketModelMultiProduct interface

std::vector< Time > | possibleCashFlowTimes () const
Size | numberOfProducts () const
Size | maxNumberOfCashFlowsPerProductPerStep () const
void | reset ()
| during simulation put product at start of path
bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< CashFlow > > &cashFlowsGenerated)
| return value indicates whether path is finished, TRUE means done
std::auto_ptr< MarketModelMultiProduct > | clone () const
| returns a newly-allocated copy of itself

## Additional Inherited Members

Protected Attributes inherited from MultiProductMultiStep
std::vector< Time > | rateTimes_
EvolutionDescription | evolution_

## Detailed Description

Price a swaption associated to a contiguous subset of rates. Useful only for testing purposes. Steps through all rate times up to start of swap.